{
  ".config/fish/fish_plugins".text = ''
    jorgebucaran/fisher
    jorgebucaran/autopair.fish
    jorgebucaran/replay.fish
    jorgebucaran/fish-getopts
    joseluisq/gitnow
    fishpkg/fish-get
    fishpkg/fish-spin
    fishpkg/fish-humanize-duration
    oh-my-fish/plugin-bang-bang
    matthewess/fish-autovenv
    joehillen/to-fish
    jethrokuan/z
    decors/fish-colored-man
    franciscolourenco/done
    haslersn/fish-nix-completions
    gyakovlev/fish-fzy
    Gazorby/fish-abbreviation-tips
  '';
  ".config/fish/functions/colortest.fish".source = ../assets/colortest.fish;
  ".config/fish/functions/mkdcd.fish".text = ''
    function mkdcd -a target
      mkdir $target
      cd $target
    end
  '';
  ".config/fish/functions/unz.fish".text = ''
    function unz -a target
      # strip extensions
      string match \*.zip $target; and set target (string split -r -m1 . $target)[1]
      unzip -d $target $target
    end
  '';
  ".config/kitty/kitty.conf".text = ''
    font_family Fira Code Regular
    bold_font   Fira Code Bold
    font_size   15.0
    clipboard_control write-clipboard write-primary no-append
    include ./theme.conf
  '';
  ".config/kitty/theme.conf".source = ../assets/kitty-theme.conf;
}
