{ pkgs, ... }: {
  enable = true;
  viAlias = true;
  vimAlias = true;
  withNodeJs = true;
  extraPython3Packages = ps: with ps; [ pynvim ];
  plugins = with pkgs.vimPlugins; [
    neovim-sensible
    vim-fugitive
    vim-surround
    nerdtree
    nerdtree-git-plugin
    vim-colorschemes
    vim-nix
    lightline-vim
    haskell-vim
    auto-pairs
    vim-fish
    ctrlp
    dhall-vim
  ];
  extraConfig = builtins.readFile ../assets/init.vim;
}
