{ config, pkgs, ... }: {
  fonts = {
    enableDefaultFonts = true;
    fonts = with pkgs; [
      source-code-pro
      fira-code
      fira-code-symbols
      font-awesome_4
      aileron
    ];
    fontconfig = {
      enable = true;
      defaultFonts = { monospace = [ "Fira Code" ]; };
    };
  };
}
