rec {
  _dark = {
    background = "#1a1b26";
    foreground = "#a9b1d6";
    white = "#c0caf5";
    black = "#414868";
    red = "#f7768e";
    yellow = "#e0af68";
    orange = "#ff9e64";
    green = "#73daca";
    lime = "#2ac3de";
    blue = "#7aa2f7";
    magenta = "#bb9af7";
    cyan = "#7dcfff";
    brightgreen = "#9ece6a";
  };
  dark = with _dark; {
    inherit background foreground;

    # Cursor
    cursor = white;
    cursor_text_color = background;

    # Selection
    selection_background = "#28344a";
    selection_foreground = "none";

    # Tab bar
    tab_bar_background = "#101014";
    active_tab_foreground = "#3d59a1";
    active_tab_background = "#787c99";
    inactive_tab_foreground = "#9aa5ce";
    inactive_tab_background = "#16161e";
    # black
    color0 = black;
    color8 = black;
    # red
    color1 = red;
    color9 = red;
    # green
    color2 = green;
    color10 = lime;
    # yellow
    color3 = yellow;
    color11 = orange;
    # blue
    color4 = blue;
    color12 = blue;
    # magenta
    color5 = magenta;
    color13 = magenta;
    # cyan
    color6 = cyan;
    color14 = cyan;
    # white
    color7 = white;
    color15 = white;
    # url underline color to fit colors
    url_color = brightgreen;
  };
  _light = {
    background = "#d5d6db";
    white = "#343b58";
    black = "#0f0f14";
    red = "#8c4351";
    yellow = "#8f5e15";
    orange = "#343b58";
    green = "#33635c";
    lime = "#166775";
    blue = "#34548a";
    magenta = "#5a4a78";
    cyan = "#0f4b6e";
    brightgreen = "#485e30";
  };
  light = with _light; {
    inherit background;
    foreground = white;

    # Cursor
    cursor = white;
    cursor_text_color = background;

    # Selection
    selection_background = "#101014";
    selection_foreground = "none";

    # Tab bar
    tab_bar_background = "#e9e9ed";
    active_tab_foreground = "#d4d6e4";
    active_tab_background = "#2e7de9";
    inactive_tab_foreground = "#8990b3";
    inactive_tab_background = "#c4c8da";
    # black
    color0 = black;
    color8 = black;
    # red
    color1 = red;
    color9 = red;
    # green
    color2 = green;
    color10 = lime;
    # yellow
    color3 = yellow;
    color11 = orange;
    # blue
    color4 = blue;
    color12 = blue;
    # magenta
    color5 = magenta;
    color13 = magenta;
    # cyan
    color6 = cyan;
    color14 = cyan;
    # white
    color7 = white;
    color15 = white;
    # url underline color to fit colors
    url_color = brightgreen;
  };
  common = { };
}
