{ pkgs, ... }: {
  enable = true;
  package = pkgs.vscodium.overrideAttrs (_: {
    preFixupPhases = [ "preFixup" ];
    preFixup = ''
      sed -i "s#open-vsx.org/vscode/gallery#marketplace.visualstudio.com/_apis/public/gallery#" $out/lib/vscode/resources/app/product.json
      sed -i "s#open-vsx.org/vscode/item#marketplace.visualstudio.com/items#" $out/lib/vscode/resources/app/product.json
      sed -i "s#open-vsx.org#marketplace.visualstudio.com#" $out/lib/vscode/resources/app/product.json
    '';
  });
  extensions = with pkgs.vscode-extensions; [
    matklad.rust-analyzer
    # ms-python.python
    skyapps.fish-vscode
    # TODO: reenable
    # vadimcn.vscode-lldb
  ];
}
