{ config, ... }:

let local = name: [ "${name}" "${name}.local" ];

in {
  networking.hosts = {
    "192.168.1.99" = [ "pi.hole" ];
    "192.168.1.98" = local "gagarin";
    "192.168.1.10" = local "gemini";
    "192.168.1.11" = local "deluge";
    "192.168.1.12" = local "jackett";
    "192.168.1.13" = local "sonarr";
    "192.168.1.14" = local "radarr";
    "192.168.1.15" = local "plex";
  };
}
