{ config, pkgs, lib, ... }:

let pubkey = import ./pubkey.nix;
in {
  services.openssh = {
    enable = true;
    permitRootLogin = "yes";
    passwordAuthentication = lib.mkDefault false;
  };

  users.users.root.openssh.authorizedKeys.keys = lib.mkDefault [ pubkey.mat ];
}
